# AnimationFile - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.files / AnimationFile

# AnimationFile

(common) `data class AnimationFile : TelegramMediaFile, MimedMediaFile, ThumbedMediaFile, PlayableMediaFile, CustomNamedMediaFile, SizedMediaFile` (source)

### Constructors

(common)

#### <init>

`AnimationFile(fileId: FileId, fileUniqueId: FileUniqueId, width: Int, height: Int, duration: Long? = null, thumb: PhotoSize? = null, fileName: String? = null, mimeType: MimeType? = null, fileSize: Long? = null)`

### Properties

(common)

#### duration

`val duration: Long?`

(common)

#### fileId

`val fileId: FileId`

(common)

#### fileName

`val fileName: String?`

(common)

#### fileSize

`val fileSize: Long?`

(common)

#### fileUniqueId

`val fileUniqueId: FileUniqueId`

(common)

#### height

`val height: Int`

(common)

#### mimeType

`val mimeType: MimeType?`

(common)

#### thumb

`val thumb: PhotoSize?`

(common)

#### width

`val width: Int`